﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace parkMonitor.server.CoreThread
{
    /// <summary>
    /// 机械手结构
    /// </summary>
    public class Robot
    {
        public int id { get; set; }
        public int parking_start_addr { get; set; }
        public int parking_start_value { get; set; }
        public int fetching_start_addr { get; set; }
        public int fetching_start_value { get; set; }
        public bool occupied { get; set; }
        public int parkWaitCount { get; set; }
        public int fetchWaitCount { get; set; }
        public static Robot robot1 = new Robot(1);
        public static Robot robot2 = new Robot(2);
        public Robot(int id)
        {
            this.id = id;
            parkWaitCount = 0;
            fetchWaitCount = 0;
            occupied = false;
        }
    }
}
